nxt.aliases

## Class AliasHome

- java.lang.Object
- - nxt.aliases.AliasHome

-     public final class AliasHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AliasHome.Alias`
    `static class` | `AliasHome.Event`
    `class` | `AliasHome.Offer`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<AliasHome.Alias> listener, AliasHome.Event eventType)`
    `static AliasHome` | `forChain(ChildChain childChain)`
    `int` | `getAccountAliasCount(long accountId)`
    `AliasHome.Alias` | `getAlias(long id)`
    `AliasHome.Alias` | `getAlias(java.lang.String aliasName)`
    `DbIterator<AliasHome.Alias>` | `getAliasesByOwner(long accountId, int from, int to)`
    `DbIterator<AliasHome.Alias>` | `getAliasesLike(java.lang.String aliasName, int from, int to)`
    `int` | `getCount()`
    `AliasHome.Offer` | `getOffer(AliasHome.Alias alias)`
    `void` | `importAlias(long id, long accountId, java.lang.String aliasName, java.lang.String aliasURI)`
    `static boolean` | `removeListener(Listener<AliasHome.Alias> listener, AliasHome.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static AliasHome forChain(ChildChain childChain)

    - #### getCount

          public int getCount()

    - #### getAccountAliasCount

          public int getAccountAliasCount(long accountId)

    - #### getAliasesByOwner

          public DbIterator<AliasHome.Alias> getAliasesByOwner(long accountId,
                                                               int from,
                                                               int to)

    - #### getAlias

          public AliasHome.Alias getAlias(java.lang.String aliasName)

    - #### getAliasesLike

          public DbIterator<AliasHome.Alias> getAliasesLike(java.lang.String aliasName,
                                                            int from,
                                                            int to)

    - #### getAlias

          public AliasHome.Alias getAlias(long id)

    - #### getOffer

          public AliasHome.Offer getOffer(AliasHome.Alias alias)

    - #### importAlias

          public void importAlias(long id,
                                  long accountId,
                                  java.lang.String aliasName,
                                  java.lang.String aliasURI)

    - #### addListener

          public static boolean addListener(Listener<AliasHome.Alias> listener,
                                            AliasHome.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<AliasHome.Alias> listener,
                                               AliasHome.Event eventType)